/**
 * @file
 * cookiepro-plus-bypass.js
 */

(function ($, Drupal) {
  'use strict';

  window.dataLayer = window.dataLayer || [];

  /**
   * Drupal behaviors.
   *
   * @type {{attach: Drupal.cookiepro_plus_bypass.attach}}
   */
  Drupal.behaviors.cookiepro_plus_bypass = {

    attach: function (context, drupalSettings) {
      once('cookiepro-bypass', 'body').forEach(function (el) {
        window.dataLayer.push({
          event: 'OneTrustGroupsUpdated',
          OnetrustActiveGroups: 'bypass'
        });
      });
    }
  };

}(jQuery, Drupal));
